﻿#pragma once
#include <stdexcept>

#define CHECKERR(ptr)                                                   \
    if (ptr->GetErrorCode() != 0)                                         \
    {                                                                     \
        throw arhiplex_exception(ptr->GetErrorCode(), ptr->GetErrorText()); \
    }

/*!
arhiplex
*/

namespace arhiplex
{

/*!
* \class arhiplex_exception
* Исключение, генерируемое всеми классами в случае ошибки
* \brief arhiplex-исключение
*/

class arhiplex_exception : public std::runtime_error
{
  public:
    arhiplex_exception(int err, const char *szMsg) : runtime_error(szMsg), error_code(err)
    {
    }

/**
* Код ошибки arhiplex. Как правило, всегда -1
*/

    int get_error_code() const
    {
        return error_code;
    }

  private:
    int error_code;
};

} // namespace arhiplex